autodist: retrieve distdb and legacy files from "base" instead of "devel" repository

This commit is contained in:
Silvan Calarco 2025-03-11 19:22:47 +01:00
parent e952c25d5a
commit 4d4d996432

View File

@ -1,18 +1,20 @@
#!/bin/bash #!/bin/bash
# #
# Autodist -- batch build tool for RPM based distributions # Autodist -- batch build tool for RPM based distributions
# Copyright (C) 2006-2016 by Silvan Calarco <silvan.calarco@mambasoft.it> # Copyright (C) 2006-2025 by Silvan Calarco <silvan.calarco@mambasoft.it>
# #
# Released under the terms of the GNU GPL release 3 license # Released under the terms of the GNU GPL release 3 license
# #
VERSION=1.6.2 . /usr/share/autodist/VERSION
me=(${0##*/} $VERSION "Tue Jan 26 2016") me=(${0##*/} $VERSION)
exec 3>`readlink /proc/self/fd/0` exec 3>`readlink /proc/self/fd/0`
BASE_REPOSITORY=base
function usage() { function usage() {
echo "\ echo "\
${me[0]} ${me[1]} ${me[0]} ${me[1]}
"$"Copyright (C) 2006-2016 Silvan Calarco <silvan.calarco@mambasoft.it>"" "$"Copyright (C) 2006-2025 Silvan Calarco <silvan.calarco@mambasoft.it>""
"$"Released under the terms of the GNU GPL v3 license" "$"Released under the terms of the GNU GPL v3 license"
echo " echo "
"$"Batch build tool for bulding a whole distribution and much more."" "$"Batch build tool for bulding a whole distribution and much more.""
@ -915,10 +917,10 @@ function log_date() {
DISTDBFILES= DISTDBFILES=
DISTDB=`fetch_repository_file ${AUTODIST_REPOSITORY/-*}/distdb` DISTDB=`fetch_repository_file ${LOCAL_REPS_BASE_DIR}/${BASE_REPOSITORY}/distdb`
[ "$DISTDB" ] && DISTDBFILES="$DISTDB" [ "$DISTDB" ] && DISTDBFILES="$DISTDB"
DISTDBARCH=`fetch_repository_file ${AUTODIST_REPOSITORY/-*}/distdb.$TARGETARCH` DISTDBARCH=`fetch_repository_file ${LOCAL_REPS_BASE_DIR}/${BASE_REPOSITORY}/distdb.$TARGETARCH`
if [ "$DISTDBARCH" ]; then if [ "$DISTDBARCH" ]; then
DISTDBFILES="$DISTDBFILES $DISTDBARCH" DISTDBFILES="$DISTDBFILES $DISTDBARCH"
fi fi
@ -994,7 +996,7 @@ BUILDSLIST=`fetch_repository_file distromatic/$AUTODIST_REPOSITORY/builds-$TARGE
[ "$AUTODIST_DELAYED_REPOSITORY" ] && BUILDSLIST_DELAYED=`fetch_repository_file distromatic/$AUTODIST_DELAYED_REPOSITORY/builds-$TARGETARCH` [ "$AUTODIST_DELAYED_REPOSITORY" ] && BUILDSLIST_DELAYED=`fetch_repository_file distromatic/$AUTODIST_DELAYED_REPOSITORY/builds-$TARGETARCH`
[ $? -eq 0 ] || echo "Warning: unable to fetch $BUILDSLIST">&2 [ $? -eq 0 ] || echo "Warning: unable to fetch $BUILDSLIST">&2
LEGACYLIST=`fetch_repository_file ${AUTODIST_REPOSITORY/-*}/legacy` LEGACYLIST=`fetch_repository_file ${LOCAL_REPS_BASE_DIR}/${BASE_REPOSITORY}/legacy`
[ "$LEGACYLIST" ] || LEGACYLIST=$SYSCONFDIR/legacy [ "$LEGACYLIST" ] || LEGACYLIST=$SYSCONFDIR/legacy
[ $? -eq 0 ] || echo "Warning: unable to fetch $LEGACYLIST">&2 [ $? -eq 0 ] || echo "Warning: unable to fetch $LEGACYLIST">&2